import java.awt.*;

public class JuliaPanel extends KomplexPanel{
	double c_re = 0.360284;
	double c_im = 0.1;
	
	public int iter_komplex(double i_re, double i_im){
		int i;
		double temp_re;
		for (i = 0; i<255; i++){
			temp_re = i_re;
			i_re = i_re * i_re - i_im * i_im + c_re;
			i_im = temp_re * i_im * 2 + c_im;
			if ((i_re  * i_re + i_im * i_im) >4){
				return i;
			}
		}
		return i;		
	}
	
	public void paint (Graphics g){
		super.paint(g);
		g.setColor(Color.BLACK);
		g.drawLine(0,0,0,this.getHeight());
		g.setColor(Color.red);
		g.drawString("c_re="+((double)(long)(c_re*100000)/100000),110,11);
		g.drawString("c_im="+((double)(long)(c_im*100000)/100000),110,24);
	}

	
}
